org.codehaus.modello.maven

## Class ModelloXdocMojo

- java.lang.Object
- - org.apache.maven.plugin.AbstractMojo
  - - org.codehaus.modello.maven.AbstractModelloGeneratorMojo
    - - org.codehaus.modello.maven.ModelloXdocMojo

- All Implemented Interfaces:
    org.apache.maven.plugin.ContextEnabled, org.apache.maven.plugin.Mojo

      @Mojo(name="xdoc",
            threadSafe=true)
      public class ModelloXdocMojo
      extends AbstractModelloGeneratorMojo

  Creates documentation for the model in xdoc format.
  Author:
    Brett Porter

- - ### Field Summary

    - ### Fields inherited from interface org.apache.maven.plugin.Mojo

      `ROLE`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ModelloXdocMojo()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected void` | `customizeParameters(Properties parameters)` Override this method to customize the values in the properties set.
    `String` | `getFirstVersion()`
    `protected String` | `getGeneratorType()`
    `File` | `getOutputDirectory()`
    `protected boolean` | `producesCompilableResult()`
    `void` | `setFirstVersion(String firstVersion)`
    `void` | `setOutputDirectory(File outputDirectory)`

    - ### Methods inherited from class org.codehaus.modello.maven.AbstractModelloGeneratorMojo

      `createParameters, execute, getBasedir, getModelloCore, getModels, getPackageWithVersion, getProject, getVersion, producesResources, setBasedir, setBuildContext, setModelloCore, setModels, setPackagedVersions, setPackageWithVersion, setProject, setVersion`

    - ### Methods inherited from class org.apache.maven.plugin.AbstractMojo

      `getLog, getPluginContext, setLog, setPluginContext`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ModelloXdocMojo

          public ModelloXdocMojo()

  - ### Method Detail

    - #### getGeneratorType

          protected String getGeneratorType()

      Specified by:
        `getGeneratorType` in class `AbstractModelloGeneratorMojo`

    - #### producesCompilableResult

          protected boolean producesCompilableResult()

      Overrides:
        `producesCompilableResult` in class `AbstractModelloGeneratorMojo`

    - #### getOutputDirectory

          public File getOutputDirectory()

      Specified by:
        `getOutputDirectory` in class `AbstractModelloGeneratorMojo`

    - #### setOutputDirectory

          public void setOutputDirectory(File outputDirectory)

    - #### customizeParameters

          protected void customizeParameters(Properties parameters)

      Description copied from class: `AbstractModelloGeneratorMojo`
      Override this method to customize the values in the properties set.

      This method will be called after the parameters have been populated with the parameters in the abstract mojo.
      Overrides:
        `customizeParameters` in class `AbstractModelloGeneratorMojo`
      Parameters:
        `parameters` - the parameters to customize

    - #### getFirstVersion

          public String getFirstVersion()

    - #### setFirstVersion

          public void setFirstVersion(String firstVersion)

Copyright © 2001–2015 Codehaus. All rights reserved.